# -*- encoding : utf-8 -*-
class Public::InscritsController < ApplicationController
  layout "front"




  # GET /inscrits/new
  # GET /inscrits/new.xml
  def new
    @inscrit = Inscrit.new

    respond_to do |format|
      format.html # new.html.erb
      format.xml  { render :xml => @inscrit }
    end
  end

 

  # POST /inscrits
  # POST /inscrits.xml
  def create
    @inscrit = Inscrit.new(params[:inscrit])

 
    if @inscrit.save
      redirect_to(:back, :notice => "Votre inscription à bien été prise en compte, merci de bien vouloir confirmer celle-ci en cliquant sur le lien du mail qui vient de vous être envoyé.") 
      General.confirm_inscription(@inscrit).deliver
    elsif
      @test_ins = Inscrit.find_by_email(params[:inscrit][:email])
      if @test_ins and @test_ins.enabled != true
        redirect_to(:back, :notice => "Votre inscription à bien été prise en compte, merci de bien vouloir confirmer celle-ci en cliquant sur le lien du mail qui vient de vous être envoyé.") 
        General.confirm_inscription(@test_ins).deliver
      elsif @test_ins
        redirect_to(:back, :notice => "Vous êtes déjà inscrit à notre newsletter.") 
    
      end
      
    else
      redirect_to(:back, :notice => "L'adresse mail n'est pas valide.") 
    end

  end
  
  def verify_key
    @inscrit = Inscrit.find_by_verify_key(params[:id])
    @inscrit.enabled = true
    @inscrit.save
    General.valide_inscription(@inscrit).deliver
  
    redirect_to("/", :notice => "Votre inscription a bien été validée.") 
    

  end



  # DELETE /inscrits/1
  # DELETE /inscrits/1.xml
  def delete
    @inscrit = Inscrit.find(params[:id])
    @inscrit.destroy

    General.destroy_inscription(@inscrit).deliver
  
    redirect_to("/", :notice => "Votre adresse mail à bien été supprimée de nos fichiers.")
  end
end
